using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using skyscraper8.Ietf.Rfc4566_SDP;

namespace skyscraper8.Tests.ResourceTests
{
	[TestClass]
	public class SdpTest : Feyllure
	{
		[TestMethod]
		public void TestSdpParser()
		{
			MemoryStream ms = new MemoryStream(Resources1.sdpTest, false);
			Assert.IsTrue(SDP.IsSDP(ms));

			SDP loaded = SDP.Load(ms);
			Assert.IsNotNull(loaded);
		}
	}
}
